Name:           gpredict
Version:        0.9.0
Release:        5%{?dist}
Summary:        Real-time satellite tracking and orbit prediction program
Group:          Applications/Communications
License:        GPLv2+
URL:            http://groundstation.sourceforge.net/gpredict/
Source0:        http://prdownloads.sourceforge.net/groundstation/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.10.0
BuildRequires:  glib2-devel >= 2.12.0
BuildRequires:  curl-devel
BuildRequires:  intltool gettext
BuildRequires:  desktop-file-utils


%description
Gpredict is a real time satellite tracking and orbit prediction
program written using the Gtk+ widgets. Gpredict is targetted mainly
towards ham radio operators but others interested in satellite
tracking may find it useful as well. Gpredict uses the SGP4/SDP4
algorithms, which are compatible with the NORAD Keplerian elements.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -fr $RPM_BUILD_ROOT%{_datadir}/locale
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

cat > gpredict.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=gpredict
Icon=/usr/share/pixmaps/gpredict/icons/gpredict-icon.png
Terminal=false
Name=Gpredict Satellite Tracker
GenericName=Real-time satellite orbit tracker
Comment=Track satellites in real-time
StartupNotify=true
Categories=GTK;HamRadio;Education;Astronomy;
EOF
desktop-file-install --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  gpredict.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%postun
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}
%{_mandir}/man1/gpredict*


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 24 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.9.0-4
- Fix up the menu entry for Astronomy menus

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.0-2
- Autorebuild for GCC 4.3

* Sat Sep 29 2007 Denis Leroy <denis@poolshark.org> - 0.9.0-1
- Update to 0.9.0
- Removed tooltip patch, is now upstream

* Mon Aug 20 2007 Denis Leroy <denis@poolshark.org> - 0.8.0-3
- Updated License tag
- Added patch for new GtkTooltip interface

* Tue Jun 19 2007 Denis Leroy <denis@poolshark.org> - 0.8.0-2
- Fixed desktop StartupNotify line

* Tue Jun 19 2007 Denis Leroy <denis@poolshark.org> - 0.8.0-1
- Update to 0.8.0

* Sun Jan 21 2007 Denis Leroy <denis@poolshark.org> - 0.7.1-1
- Update to 0.7.1

* Tue Jan  9 2007 Denis Leroy <denis@poolshark.org> - 0.7.0-1
- Update to 0.7.0, needs curl-devel

* Thu Sep 14 2006 Denis Leroy <denis@poolshark.org> - 0.6.1-1
- Update to 0.6.1
- Removed patch, was integrated upstream

* Tue Sep  5 2006 Denis Leroy <denis@poolshark.org> - 0.6.0-1
- Update to 0.6.0
- New gtk2 BRs. No longer needs hamlib
- Fixed desktop database file

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.0-4
- %%

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.0-3
- Broke %%description at 80 columns

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.0-2
- Removed explicit Requires

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.0-1
- Bump release to 1
- Added d-f-u to BR

* Sun Feb 13 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.5.0-0.iva.0
- Initial RPM release.
